import React, { useState, useEffect } from 'react';
import { Item } from 'Order';
import {
    Table,
    Thead,
    Tbody,
    Tfoot,
    Tr,
    Th,
    Td,
    TableCaption,
    Input,
    Wrap,
    WrapItem
  } from "@chakra-ui/react"

const OrderShowDetails = (props: any) => {
    const [items, setItems] = useState<Item[]>()
    useEffect(() => {
        setItems(props.items)
    }, [props.items])

    const itemMap = (items: Item[]) => {
        return items.map((item: Item, idx: number) => {
            return (
                <tr key={idx}>
                    <Td >{item.itemId}</Td >
                    <Td >{item.itemPrice}</Td >
                    <Td >{item.itemQuantity}</Td >
                    <Td >{item.itemSku}</Td >
                </tr>
            )
        });
    }

    const itemDetails = items ? itemMap(items) : <></>
    
    return (
        items ? 
            <div className="table-div">
                <Table variant="striped" colorScheme="messenger" size="lg">
                    <Tbody>
                        <Tr className="table-header">
                            <Th fontSize="22px" color="gray">ID</Th>
                            <Th fontSize="22px" color="gray">Price</Th>
                            <Th fontSize="22px" color="gray">Quantity</Th>
                            <Th fontSize="22px" color="gray">SKU</Th>
                        </Tr>
                        {itemDetails}
                    </Tbody>
                </Table>
            </div>
        :
            <div className="Order without items">
                This order didn't contain any items.
            </div>
    )
}

export default OrderShowDetails
